/// <reference types="node" />
import { TraceResult, CheckTextInfo } from 'cspell-lib';
export { TraceResult, IncludeExcludeFlag } from 'cspell-lib';
import { Emitters } from './emitters';
import { BaseOptions, CSpellApplicationOptions, TraceOptions } from './options';
import { RunResult } from './lint';
export declare type AppError = NodeJS.ErrnoException;
export declare function lint(files: string[], options: CSpellApplicationOptions, emitters: Emitters): Promise<RunResult>;
export declare function trace(words: string[], options: TraceOptions): Promise<TraceResult[]>;
export declare type CheckTextResult = CheckTextInfo;
export declare function checkText(filename: string, options: BaseOptions): Promise<CheckTextResult>;
export declare function createInit(): Promise<void>;
